| USRP Hardware Driver and Device Manual Version: 4.10.0.0 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::memmap32_iface_timed Struct Reference

Represents a 32-bit, memory-mapped interface (peek/poke). More...

`#include <uhd/types/memmap_iface.hpp>`

## Detailed Description

Represents a 32-bit, memory-mapped interface (peek/poke).

## Public Types
using | poke32_fn_t
using | peek32_fn_t = std::function<uint32_t(const uint32_t addr)>

## Public Attributes
poke32_fn_t | poke32
peek32_fn_t | peek32

## Member Typedef Documentation

## ◆ peek32_fn_t

using uhd::memmap32_iface_timed::peek32_fn_t = std::function<uint32_t(const uint32_t addr)>

## ◆ poke32_fn_t

using uhd::memmap32_iface_timed::poke32_fn_t

Initial value:
std::function<void(
const uint32_t addr, const uint32_t data, const uhd::time_spec_t& time)>
uhd::time_spec_t
Definition time_spec.hpp:31

## Member Data Documentation

## ◆ peek32

peek32_fn_t uhd::memmap32_iface_timed::peek32

## ◆ poke32

poke32_fn_t uhd::memmap32_iface_timed::poke32

The documentation for this struct was generated from the following file:

- memmap_iface.hpp